#!/usr/bin/env python

import sys
import os

def filePath ():
	path  = os.environ.get ("HOME")
	path += "/.basin"
	if not os.path.exists (path):
		os.mkdir (path)
	path += "/host"
	if not os.path.exists (path):
		os.mkdir (path)
	path += "/buffer.tmp"
	return path

def append (line):
	path = filePath ()
	file = open (path, "a")
	file.write (str (line) + "\n")
	file.close()

def delete ():
	path = filePath ()
	if os.path.exists (path):
		os.remove (path)
	else:
		return "\nNo buffer exists..."

def read ():
	path = filePath ()
	if os.path.exists (path):
		file = open (path)
		print "\n" + str (file.read ())
		file.close ()
	else:
		return "\nNo buffer exists..."
