#include "Cosmosims_wrapper.h"
#include "basin_wrapper.h"

void export_Cosmosims() {
  Region& (*read_gadget_ptr)(string name)=&read_gadget;
  Region& (*initial_conditions_ptr)(cosmology cosmo,int nx, double L,double z_init,
				    unsigned int seed)=&initial_conditions;
  int (*write_gadget_ptr)(Region* reg,string outfile)=&write_gadget;

  def("read_gadget",read_gadget_ptr,(arg("name")),
      return_value_policy<reference_existing_object>());
  def("initial_conditions",initial_conditions_ptr,(arg("cosmo"),arg("nx"),arg("L"),
						   arg("z_init"),arg("seed")),
      return_value_policy<reference_existing_object>());
  def("write_gadget",write_gadget_ptr,(arg("reg"),arg("outfile")));

}
