#include "Geometry_wrapper.h"
#include "basin_wrapper.h"



void export_Geometry() {


    class_<Geometry>("Geometry")
        .def(init< >())
        .def(init<int, int, int, int,const vector<double>,const vector<double> >())
        .def(init<const Geometry&>())
        .def("get_ndims",&Geometry::get_ndims)
        .def("get_metrictype",&Geometry::get_metrictype)
        .def("get_boundarytype",&Geometry::get_boundarytype)
        .def("get_spacetype",&Geometry::get_spacetype)
        .def("get_bound",&Geometry::get_bound)
        .def("set_ndims",&Geometry::set_ndims)
        .def("set_metrictype",&Geometry::set_metrictype)
        .def("set_boundarytype",&Geometry::set_boundarytype)
        .def("set_spacetype",&Geometry::set_spacetype)
        .def("calculate_distance_squared",&Geometry::calculate_distance_squared)
        ;

}
