#include "List_wrapper.h"
#include "basin_wrapper.h"



void export_List() {


    /* Some function pointers for List class*/
    int (List::*List_get_attribute_size1)(string key)=&List::get_attribute_size;
    int (List::*List_add_attribute2)(string key,Attribute& newVect)=&List::add_attribute;
    Attribute *(List::*List_get_attribute_pointer1)(string key)=&List::get_attribute_pointer;
    /* End pointers for List class*/

    class_<List, bases<Data> >("List")
        .def(init< >())
        .def(init<List*>())
        .def(init<Region*,optional<int> >())
        //.def("get_ndims", &List::get_ndims)
        //.def("get_parent", &List::get_parent,return_value_policy<reference_existing_object>())
        //.def("get_attribute", List_get_attribute_pointer1,(arg("key")), return_value_policy<reference_existing_object>())
        //.def("get_attribute_size", List_get_attribute_size1,(arg("key")))
        .def("get_nelements", &List::get_nelements)
        .def("get_pos", &List::get_pos)
        //.def("set_parent", &List::set_parent,(arg("par")))
        .def("set_nelements", &List::set_nelements)
        .def("set_pos_key", &List::set_pos_key)
        .def("add_attribute", List_add_attribute2,(arg("key"),arg("newVect")))
        .def("delete_attribute", &List::delete_attribute,(arg("key")))
        .def("calculate_idx_nearest", &List::calculate_idx_nearest)
        .def("calculate_nth_nearest", &List::calculate_nth_nearest)
        .def("reset_selection", &List::reset_selection)
        .def("get_selection", &List::get_selection, return_value_policy<reference_existing_object>())
        //.def("sort_selection", &List::sort_selection) 
        ;

}

