#include "Statistics_wrapper.h"
#include "basin_wrapper.h"



void export_Statistics() {
    /* Pointers for Statistics Package*/
    double (*mean_ptr1)(Attribute& var)=&mean;
    double (*mean_ptr2)(Attribute& var, Attribute& mask)=&mean;
    double (*stdev_ptr1)(Attribute& var)=&stdev;
    double (*stdev_ptr2)(Attribute& var,Attribute& mask)=&stdev;
    vector<double> (*bin_data_ptr1)(Attribute& x, Attribute& y, vector<double>xbin)=&bin_data;
    /* End pointers for Statistics Package*/
    
    /* Begin Functions from the Statistics Package*/
    def("histogram", &histogram);
    def("mean", mean_ptr1, (arg("var")));
    def("mean", mean_ptr2, (arg("var"), arg("mask")));
    def("stdev", stdev_ptr1, (arg("var")));
    def("stdev", stdev_ptr2, (arg("var"), arg("mask")));
    def("bin_data",bin_data_ptr1, (arg("x"),arg("y"),arg("xbin")));
    /* End Functions from the Statistics Package*/
}

